package com.srs.stureg.service;


import com.srs.stureg.domain.SrsMsgQueue;

import java.util.List;
import java.util.Map;

/**
 * 短信队列Service接口
 *
 * @author srs
 * @date 2023-07-24
 */
public interface ISrsMsgQueueService
{
    /**
     * 查询短信队列
     *
     * @param id 短信队列主键
     * @return 短信队列
     */
    public SrsMsgQueue selectSrsMsgQueueById(Long id);

    /**
     * 查询短信队列列表
     *
     * @param srsMsgQueue 短信队列
     * @return 短信队列集合
     */
    public List<SrsMsgQueue> selectSrsMsgQueueList(SrsMsgQueue srsMsgQueue);

    boolean sendSms(Map<String,Object> msgMap);

    /**
     * 修改手机号
     * @param msgMap
     * @return
     */
    public boolean sendSmsUpdatePhone(Map<String,Object> msgMap);


    void sendSmsAll(String notice) throws Exception;

    /**
     * 新增短信队列
     *
     * @param srsMsgQueue 短信队列
     * @return 结果
     */
    public int insertSrsMsgQueue(SrsMsgQueue srsMsgQueue);

    /**
     * 修改短信队列
     *
     * @param srsMsgQueue 短信队列
     * @return 结果
     */
    public int updateSrsMsgQueue(SrsMsgQueue srsMsgQueue);

    /**
     * 批量删除短信队列
     *
     * @param ids 需要删除的短信队列主键集合
     * @return 结果
     */
    public int deleteSrsMsgQueueByIds(Long[] ids);

    /**
     * 删除短信队列信息
     *
     * @param id 短信队列主键
     * @return 结果
     */
    public int deleteSrsMsgQueueById(Long id);
    /**
     * 修改密码
     * @param msgMap
     * @return
     */
    boolean sendSmsUpdatePwd(Map<String, Object> msgMap);
}
